Name:          volume_key
Version:       0.3.12
Release:       3mamba
Summary:       A library for manipulating storage volume encryption keys and storing them separately from volumes
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pagure.io/volume_key
Source:        https://github.com/felixonmars/volume_key.git/volume_key-%{version}/volume_key-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libcryptsetup-devel
BuildRequires: libglib-devel
BuildRequires: libgpgme-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpython27-devel
BuildRequires: libpython311-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: libassuan-devel >= 0:3.0.1-1mamba
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A library for manipulating storage volume encryption keys and storing them separately from volumes to handle forgotten passphrases, and the associated command-line tool.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n python-%{name}
Group:         System/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
This package contains the Python bindings for %{name}.

%package -n python-%{name}-py3
Group:         System/Libraries/Python
Summary:       Python 3 bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}-py3
This package contains the Python 3 bindings for %{name}.

%debug_package

%prep
%setup -q
sed -i "s|python3.6||" configure.ac
autoreconf -f -i

%build
%configure \
   --with-python3=%{__python3} \
   PYTHON3=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/volume_key
%{_mandir}/man8/volume_key.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libvolume_key.so.*
%doc AUTHORS COPYING

%files -n python-%{name}
%defattr(-,root,root)
%{python27_sitearch}/_volume_key.*
%{python27_sitearch}/volume_key.py*

%files -n python-%{name}-py3
%defattr(-,root,root)
%{python3_sitearch}/__pycache__/volume_key.*.pyc
%{python3_sitearch}/_volume_key.*
%{python3_sitearch}/volume_key.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/volume_key
%{_includedir}/volume_key/libvolume_key.h
%{_libdir}/libvolume_key.so
%doc ChangeLog NEWS README

%changelog
* Sun Jul 07 2024 Automatic Build System <autodist@mambasoft.it> 0.3.12-3mamba
- rebuilt by autoport with build requirements: libassuan-devel>=0:3.0.1-1mamba

* Thu Dec 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-2mamba
- added python subpackages and built with python3

* Thu Feb 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-1mamba
- package created using the webbuild interface
